Hej,
I wan to create macro (vb.net) to turn on "Enable Hybrid Design In body", I tryied different approaches but I failed.
First my macro checks if "Enable hybrid design inside part bodies and bodies" is on, then I would like to turn on "In a body"
Dim SettingsConstrolers As...
Hej,
I am trying to determine if Constraint (Length or Offset) is horizontal or vertical. If dimension is related to line there is no problem but if it's not I cant manage with it. Could you give me some tips?
Respect
Santa123
Hi,
I created relation:
Dim MassString As String
MassString = "volume(Extract_For_Volume_Measure\Extract.1 )*7860 * 1kg_m3"
MyParameterMasaForumla = MyPart.Relations.CreateFormula("FormulaMass", " ", MyProduct.UserRefProperties.Item("Mass"), MassString )
when I change my Part...
Hello,
I am creating a macro, which add material to part, read mass and put it to lblMassValue. Button2 add material to Body but weight is not updated, it stays the same as it was without material.
Public Class Form1
Public MyActiveDocument As Document
Public MyProduct As Product...
Hej,
I am trying to convert my macro from script to vb.net
Function FuncIsHorizontal(MyPart As Part, i) As Boolean
Dim MyDir() As Variant
Dim MyGeomElementLine As GeometricElement
Set MyGeomElementLine =...
Hello everyone,
When I try get an instance of Catia, I get an error "An unhandled exception of type 'System.InvalidOperationException' occurred in Catia_1.exe".
I added reference to all needed libraries. Could you give me some guidenlines.
Imports INFITF
Imports DRAFTINGITF
Public Class...
Hello,
Do you use VBA to create holes?, what method do you use. Mostly I create holes in Plates, using rectangular pattern by means of PowerCopy and UDF.
Best Regards
Santa
Hej,
I try to get coordinates of my intersection. User select vertical and horizontal edge and macro create intersection and read coordinates of that point.
Unfortunately line: TheMeasurable.GetPoint aCoordinates - cause an error. Treacing my code, I found that array aCoordinates is empty.
If I...
Hello,
I'v been trying to add new component to 3 Product of rootProduct, I do't know how to activate 3 Product. Plese give me some tips, I can't move on with my programming,
Sub CATMain()
Dim oDocuments As Dosuments
Set oDocuments = CATIA.Documents
Dim oProductDocument As Document
Set...
Hej,
How can I input data to Rule
if class =="myclass" and bolt =="M6"
{
D=11mm
L =7mm
d = InputBox("give me hole dimeter") --- ???
}
else if ....
Best Regards
Santa
Hej,
What is wrong with my code?
Sub CATMain()
Dim Component As Part
Dim MyDocument As Document
Set MyDocument = CATIA.Documents.Add("Part")
Set Component = MyDocument.Part
Dim part1 As CATBaseDispatch
Set part1 = MyDocument.GetItem("Part1")
part_name = InputBox("Part Name","")...
Hellow,
I need a little help with my catalog creation.
I do not know why is that, when I add component from Catalog Browser and then I give
Save Managenent, my new addded component have State Open not New. Why is that?
Amnon
Hello,
I've been trying to create DT for sealing ring, but I can't deal with one issue. One shaft diameter "d" may have few outside diameter "D". When I point shaft "d" I'd like Document Template inform me what option "D" do I have.
Regards
Amnon